<?php

/*
 * ユニットが持つテーブルの生成を行う
 * @param tbl_unitのマスタ情報
 * テーブル名は extunit_○○○○（拡張ユニットのフォルダ名）とする
 */
function extunit_install($param, $db) {
	switch(DBTYPE) {
		case 'pgsql':
				$sql[] = "CREATE TABLE extunit_instatl
(
    pageu_code integer NOT NULL,
    img_num integer DEFAULT 12,
    bg_color smallint DEFAULT 0,
    bdr_type smallint DEFAULT 0,
    btm_padding smallint DEFAULT 2,
    link_type smallint NOT NULL DEFAULT 0,
    align_type smallint NOT NULL DEFAULT 0,
    access_token text,
    insta_id text,
    json text,
    json_date timestamp without time zone,
		insta_row_pc smallint DEFAULT 6,
		insta_row_sp smallint DEFAULT 2,
    extra_class text,
    anchor_text text,
    animatecsshelp text,
    animatecsshelp_speed integer,
    animatecsshelp_delay integer,
    animatecsshelp_timing integer,
    PRIMARY KEY (pageu_code)
);";
				$sql[] = "CREATE TABLE extunit_instatl_tmp
(
    pageu_code integer NOT NULL,
    img_num integer DEFAULT 12,
    bg_color smallint DEFAULT 0,
    bdr_type smallint DEFAULT 0,
    btm_padding smallint DEFAULT 2,
    link_type smallint NOT NULL DEFAULT 0,
    align_type smallint NOT NULL DEFAULT 0,
    access_token text,
    insta_id text,
    json text,
    json_date timestamp without time zone,
		insta_row_pc smallint DEFAULT 6,
		insta_row_sp smallint DEFAULT 2,
    extra_class text,
    anchor_text text,
    animatecsshelp text,
    animatecsshelp_speed integer,
    animatecsshelp_delay integer,
    animatecsshelp_timing integer,
    PRIMARY KEY (pageu_code)
);";
			break;

			case "mysql":
				$sql[] = "CREATE TABLE extunit_instatl
(
    pageu_code integer NOT NULL,
    img_num integer DEFAULT 12,
    bg_color smallint DEFAULT 0,
    bdr_type smallint DEFAULT 0,
    btm_padding smallint DEFAULT 2,
    link_type smallint NOT NULL DEFAULT 0,
    align_type smallint NOT NULL DEFAULT 0,
    access_token text,
    insta_id text,
    json text,
    json_date datetime,
		insta_row_pc smallint DEFAULT 6,
		insta_row_sp smallint DEFAULT 2,
    extra_class text,
    anchor_text text,
    animatecsshelp text,
    animatecsshelp_speed integer,
    animatecsshelp_delay integer,
    animatecsshelp_timing integer,
    PRIMARY KEY (pageu_code)
				)TYPE = InnoDB DEFAULT CHARSET=utf8;";
				$sql[] = "CREATE TABLE extunit_instatl_tmp
(
    pageu_code integer NOT NULL,
    img_num integer DEFAULT 12,
    bg_color smallint DEFAULT 0,
    bdr_type smallint DEFAULT 0,
    btm_padding smallint DEFAULT 2,
    link_type smallint NOT NULL DEFAULT 0,
    align_type smallint NOT NULL DEFAULT 0,
    access_token text,
    insta_id text,
    json text,
    json_date datetime,
		insta_row_pc smallint DEFAULT 6,
		insta_row_sp smallint DEFAULT 2,
    extra_class text,
    anchor_text text,
    animatecsshelp text,
    animatecsshelp_speed integer,
    animatecsshelp_delay integer,
    animatecsshelp_timing integer,
    PRIMARY KEY (pageu_code)
				)TYPE = InnoDB DEFAULT CHARSET=utf8;";
			//mysql 5.5対応
			if(isset($db->dbversion) && version_compare($db->dbversion,"5.0.0", ">=")){
			//mysql5.0以上の時はTYPEをENGINEに置換え
				foreach((array)$sql as $k => $v){
					$sql[$k] = str_replace('TYPE = InnoDB','ENGINE = InnoDB', $v);
				}
			}
			break;
		default:
			return false;
			break;
	}
	//sqlの実行
	if(!is_array($sql)||!count($sql)>0) {
		//テーブルのないモジュール、ユニットは存在させない
		return false;
	}
	foreach($sql as $key => $val) {
		if(!$db->query($val)) {
			return false;
		}
	}
	return true;
}
?>
